> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List VLANs

> Lists virtual networks assigned to a project




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /virtual_networks
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /virtual_networks:
    get:
      tags:
        - Private Networks
      summary: List VLANs
      description: |
        Lists virtual networks assigned to a project
      operationId: get-virtual-networks
      parameters:
        - name: filter[location]
          in: query
          required: false
          description: The location slug to filter by
          schema:
            type: string
        - name: filter[project]
          in: query
          required: false
          description: The project id or slug to filter by
          schema:
            type: string
        - name: filter[tags]
          in: query
          required: false
          description: >-
            The tags ids to filter by, separated by comma, e.g.
            `filter[tags]=tag_1,tag_2`will return ssh keys with `tag_1` AND
            `tag_2`
          schema:
            type: string
          examples:
            Success:
              value: tag_BZWAJKePr2Fx9kRyyaARImQlXmW,tag_X8yMgb8AZPFrX72lQgrwhBVnPN2
        - name: page[size]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 20
          required: false
          description: Number of items to return per page
        - name: page[number]
          in: query
          schema:
            type: integer
            minimum: 1
            default: 1
          required: false
          description: Page number to return (starts at 1)
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/virtual_networks'
              examples:
                Success:
                  value:
                    data:
                      - id: vlan_AW6Q2D9lqKLpr
                        type: virtual_networks
                        attributes:
                          tags:
                            - id: tag_rNk62XV5ewSV52K5oAv5FbENl1R
                              name: tag1
                              description: Quia quia natus numquam.
                              color: '#ead6ea'
                          vid: 2040
                          description: Consequatur quo aut quia.
                          created_at: null
                          region:
                            city: Sydney 243
                            country: Australia 253
                            site:
                              id: loc_1ZJrdxnWDg4LV
                              name: Sydney 243
                              slug: SYD204
                              facility: Sydney 243
                          project:
                            id: proj_W6Q2D9ordKLpr
                            name: Sleek Leather Hat
                            slug: sleek-leather-hat
                            description: Enormous Copper Lamp
                            billing_type: Normal
                            billing_method: Normal
                            bandwidth_alert: false
                            environment: null
                            billing:
                              subscription_id: null
                              type: Normal
                              method: Normal
                            stats:
                              databases: 0
                              ip_addresses: 2
                              prefixes: 0
                              servers: 1
                              storages: 0
                              virtual_machines: 0
                              vlans: 2
                          assignments_count: 1
                    meta: {}
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.private_networks.list(filter_location="SAO", filter_project="awesome-copper-clock", filter_tags="tag_BZWAJKePr2Fx9kRyyaARImQlXmW,tag_X8yMgb8AZPFrX72lQgrwhBVnPN2", page_size=20, page_number=1)

                while res is not None:
                    # Handle items

                    res = res.next()
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.PrivateNetworks.List(ctx, operations.GetVirtualNetworksRequest{\n        FilterLocation: latitudeshgosdk.Pointer(\"SAO\"),\n        FilterProject: latitudeshgosdk.Pointer(\"awesome-copper-clock\"),\n        FilterTags: latitudeshgosdk.Pointer(\"tag_BZWAJKePr2Fx9kRyyaARImQlXmW,tag_X8yMgb8AZPFrX72lQgrwhBVnPN2\"),\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualNetworks != nil {\n        for {\n            // handle items\n\n            res, err = res.Next()\n\n            if err != nil {\n                // handle error\n            }\n\n            if res == nil {\n                break\n            }\n        }\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.privateNetworks.list({
                filterTags: "tag_BZWAJKePr2Fx9kRyyaARImQlXmW,tag_X8yMgb8AZPFrX72lQgrwhBVnPN2",
              });

              for await (const page of result) {
                console.log(page);
              }
            }

            run();
components:
  schemas:
    virtual_networks:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/virtual_network_data'
        meta:
          type: object
    virtual_network_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_networks
        attributes:
          type: object
          properties:
            vid:
              type: integer
              description: vlan ID of the virtual network
            name:
              type: string
              description: Name of the virtual network
            description:
              type: string
              description: Description of the virtual network
            project:
              $ref: '#/components/schemas/project_include'
            region:
              type: object
              properties:
                city:
                  type: string
                country:
                  type: string
                site:
                  type: object
                  properties:
                    id:
                      type: string
                    facility:
                      type: string
                    name:
                      type: string
                    slug:
                      type: string
            created_at:
              type: string
              format: date-time
              nullable: true
            assignments_count:
              type: integer
              description: Amount of devices assigned to the virtual network
            tags:
              type: array
              description: Tags associated with the virtual network
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  color:
                    type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````